Bug 1342023 - Response of the api to get host status in the apidoc is incorrect with the actuals
Summary: Response of the api to get host status in the apidoc is incorrect with the ac...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts
Version: 6.1.8
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Swapnil Abnave
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-02 09:43 UTC by Anand Agrawal
Modified: 2019-11-14 08:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17897 0 None None None 2017-01-03 08:43:41 UTC

Description Anand Agrawal 2016-06-02 09:43:51 UTC
Description of problem:
According to current API documentation https://satellite.example.com/apidoc/v2/hosts.html#description-status

The return value of "GET /api/hosts/:id/status" API may either be one of the following, but its not matching with actual output of the API

missing
failed
pending
changed
unchanged
unreported


Version-Release number of selected component (if applicable):
Satellite 6.1.8

How reproducible:
Always

Steps to Reproduce:
1. Login to the satellite webui
2. Hit the URL https://<satellite.example.com>/api/v2/hosts to get list of hosts with its ID.
3. Hit the URL https://<satellite.example.com>/apidoc/v2/hosts/<:id>/status

Actual results:
Return value is either of the following: 

Pending Installation
No Status
No Change
Out of Sync 

Expected results:
As per the api documentation provided by the product 

Status values can be either one of the following:

missing
failed
pending
changed
unchanged
unreported

Additional info: Need to update the API doc with all the updated Status and their meaning.

Comment 3 Marek Hulan 2017-01-03 08:39:49 UTC
The value is translated now, also it does not contain build status. For more information about sub-statuses please see https://www.theforeman.org/manuals/1.11/index.html#4.9.2Sub-statuses

I agree this is a bug in /apidoc for /api/v2/hosts/:id/status. Note that this is deprecated and replaced by /api/v2/hosts/:id/status/:type.

Comment 4 Marek Hulan 2017-01-03 08:43:39 UTC
Created redmine issue http://projects.theforeman.org/issues/17897 from this bug

Comment 7 Satellite Program 2017-04-12 12:03:42 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 8 Satellite Program 2017-04-12 12:03:47 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 9 Satellite Program 2017-04-12 16:03:37 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17897 has been resolved.

Comment 10 Bryan Kearney 2017-04-25 16:00:11 UTC
This will be delivered in 1.15.

Comment 12 Swapnil Abnave 2017-08-03 14:29:14 UTC
Verified with Satellite 6.3 SNAP 9

* satellite-6.3.0-16.0.beta.el7sat.noarch
* foreman-1.15.2-1.el7sat.noarch
* katello-3.4.2-1.el7sat.noarch

Comment 13 Satellite Program 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.